package com.ss.android.ugc.aweme.account;

import X.C5769F5x;
import X.Lnj;
import X.M12;
import android.app.Activity;
import android.content.Intent;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.IPreLoginHandleService;

public final class PreLoginHandleService implements IPreLoginHandleService {
    static {
        Covode.recordClassIndex(50509);
    }

    public static IPreLoginHandleService LIZ() {
        MethodCollector.i(464);
        IPreLoginHandleService iPreLoginHandleService = (IPreLoginHandleService) Lnj.LIZ(IPreLoginHandleService.class, false);
        if (iPreLoginHandleService != null) {
            MethodCollector.o(464);
            return iPreLoginHandleService;
        }
        Object LIZIZ = Lnj.LIZIZ(IPreLoginHandleService.class, false);
        if (LIZIZ != null) {
            IPreLoginHandleService iPreLoginHandleService2 = (IPreLoginHandleService) LIZIZ;
            MethodCollector.o(464);
            return iPreLoginHandleService2;
        }
        if (Lnj.LJJII == null) {
            synchronized (IPreLoginHandleService.class) {
                try {
                    if (Lnj.LJJII == null) {
                        Lnj.LJJII = new PreLoginHandleService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(464);
                    throw th;
                }
            }
        }
        PreLoginHandleService preLoginHandleService = (PreLoginHandleService) Lnj.LJJII;
        MethodCollector.o(464);
        return preLoginHandleService;
    }

    public final Intent LIZ(Activity activity, Intent intent, String str) {
        M12.LIZ(activity);
        return C5769F5x.LIZ.LIZ(activity, intent, str);
    }
}
